<template>
  <button class="close-button-wrapper" @click="$emit('click')"></button>
</template>

<script>
export default {};
</script>

<style lang="scss" scoped>
.close-button-wrapper {
  display: inline-block;
  width: 32px;
  height: 32px;
  background: $color-primary-black;
  opacity: 1 !important;
  cursor: pointer;
  border: none;
  vertical-align: middle;

  &::after,
  &::before {
    content: "";
    position: absolute;
    left: 50%;
    height: 50%;
    width: 12px;
    height: 2px;
    margin-left: -6px;
    margin-top: -1px;
    background: $color-white;
    border-radius: 2px;
  }

  &::before {
    transform: rotateZ(45deg);
  }

  &::after {
    transform: rotateZ(-45deg);
  }
}
</style>
